[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.IsUpdating

Indicates whether BeginUpdate has been called at the start of an update to the node container.

## Declaration

Source position: comctrls.pp line 3291

`public function TTreeNodes.IsUpdating: Boolean; virtual;`

## Function result

Returns True if the internal update counter for the container has a non-zero value. Returns False when BeginUpdate has not been called, or when EndUpdate has caused the internal update count to return to zero (0).

## Version info

Added in LCL version 4.0.

## See also

TTreeNodes.BeginUpdate |  | Starts an update process for the tree nodes in the container.
TTreeNodes.EndUpdate |  | Finishes an update process for the tree nodes in the container.